#include "paramObj.h"

paramObj::paramObj(string p1)
{
  init(p1);
}

paramObj::paramObj(string p1, int mi) {
  init(p1, "", mi, mi);
}

paramObj::paramObj(string p1, int mi, int ma) {
  init(p1, "", mi, ma);
}

paramObj::paramObj(string p1, string p2) {
  init(p1, p2);
}

paramObj::paramObj(string p1, string p2, int mi) {
  init(p1, p2, mi, mi);
}

paramObj::paramObj(string p1, string p2, int mi, int ma) {
  init(p1, p2, mi, ma);
}

paramObj::~paramObj()
{
}

void paramObj::init(string p1, string p2, int mi, int ma) {
  min = mi; max = ma;
  if (min > max) {
    int o=min;
    min=max;
    max=o;
  }
  par1 = p1;
  par2 = p2;
  isUsed = false;
  inst = 0;
}

// -----------------------------

paramObj& paramObj::operator=(const paramObj &po) {
  // this adds a new parameter to the list of possible parameters.
  init(po.par1, po.par2, po.min, po.max);
  
  return *this; 
}

void paramObj::setUsed() {
  isUsed = true;
}

